# class Lib

#### package neko

Available on Neko

Platform-specific Neko Library. Provides some platform-specific functions for the Neko target, such as conversion from Haxe types to native types and vice-versa.

### Static methods

###

`statichaxeToNeko (v:Dynamic):Dynamic`

Converts a Haxe value to its Neko equivalent. Used to unwrap String and Arrays Objects into raw Neko values.

###

`staticload (lib:String, prim:String, nargs:Int):Dynamic`

Load and return a Neko primitive from a NDLL library.

###

`staticloadLazy (lib:String, prim:String, nargs:Int):Dynamic`

###

`staticrethrow (e:Dynamic):Dynamic`

Rethrow an exception. This is useful when manually filtering an exception in order to keep the previous exception stack.